package com.diagbot.facade;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.alibaba.fastjson.JSONObject;
import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.EvaluationDiseaseIdVO;
import com.diagbot.vo.EvaluationdiseaseNameVO;

/**
 * 
 * @author wangfeng
 * 
 * @Description: TODO
 * @date 2019年3月11日 下午4:19:09
 */
@Component
public class EvaluationModuleMappingFacade  {

	/*@Autowired
	IndexConfigFacade indexConfigFacade;
	*/
	@Autowired
	PushFacade pushFacade;
	@Autowired 
	AiptServiceClient aiptServiceClient;
	/**
	 * 获取管理与评估模板接口
	 *
	 * @param evaluationDiseaseIdVO
	 * @return
	 */
	public List<EvaluationDTO> getEvaluationModule(EvaluationDiseaseIdVO evaluationDiseaseIdVO) {
/*		//根据慢病id获取模板信息
		QueryWrapper<EvaluationModuleMapping> evaluationModuleQuery = new QueryWrapper<>();
		evaluationModuleQuery.eq("disease_id", evaluationDiseaseIdVO.getDiseaseId()).eq("is_deleted",
				IsDeleteEnum.N.getKey());

		List<EvaluationModuleMapping> datas = list(evaluationModuleQuery);*/
		EvaluationdiseaseNameVO evaluationdiseaseNameVO =new EvaluationdiseaseNameVO();
		//TODO 联调需修改
		evaluationdiseaseNameVO.setDiseaseName("糖尿病");
		RespDTO<List<EvaluationDTO>> evaluationList = aiptServiceClient.getEvaluationModules(evaluationdiseaseNameVO);
		RespDTOUtil.respNGDeal(evaluationList, "获取管理与评估模板数据失败！");
		List<EvaluationDTO> datas= evaluationList.data;
		// 过滤
		List<EvaluationDTO> data = BeanUtil.listCopyTo(datas, EvaluationDTO.class);
		//获取大数据知识图谱推送数据
		Map<String, JSONObject> jsonobject = pushFacade.getManagementEvaluationContent(evaluationDiseaseIdVO, null);
		for (String key : jsonobject.keySet()) {
			for (EvaluationDTO evaluadata : data) {
				if (key.equals(evaluadata.getRegionName())) {
					evaluadata.setData(jsonobject.get(key));

				}
			}

		}
		return data;
	}
/*
	*//**
	 * 获取管理与评估模板接口
	 *
	 * @param diseaseId
	 * @param contentMap
	 * @return
	 */
	public List<EvaluationDTO> getEvaluationModule(Long diseaseId, Map<String, JSONObject> contentMap) {
		EvaluationdiseaseNameVO evaluationdiseaseNameVO =new EvaluationdiseaseNameVO();
		evaluationdiseaseNameVO.setDiseaseName("糖尿病");
		RespDTO<List<EvaluationDTO>> evaluationList = aiptServiceClient.getEvaluationModules(evaluationdiseaseNameVO);
		List<EvaluationDTO> datas= evaluationList.data;
		// 过滤
		List<EvaluationDTO> data = BeanUtil.listCopyTo(datas, EvaluationDTO.class);
		if (contentMap != null && contentMap.size() > 0) {
			for (String key : contentMap.keySet()) {
				for (EvaluationDTO evaluadata : data) {
					if (key.equals(evaluadata.getRegionName())) {
						evaluadata.setData(contentMap.get(key));
					}
				}
			}
		}
		return data;
	}
}
